<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <include resource="org/springframework/boot/logging/logback/base.xml"/>

    <property file="${spring.config.location}"/>

    <logger name="org.springframework.boot" level="ERROR" additivity="false">
        <appender-ref ref="CONSOLE"/>
    </logger>
    <logger name="guru.springframework.controllers" level="WARN" additivity="false">
        <appender-ref ref="CONSOLE"/>
    </logger>
    <logger name="guru.springframework.helpers" level="WARN" additivity="false">
        <appender-ref ref="CONSOLE"/>
    </logger>
    <logger name="org.springframework.boot" level="WARN" additivity="false">
        <appender-ref ref="CONSOLE"/>
    </logger>
    <logger name="cz.muni.ics" level="WARN" additivity="false">
        <appender-ref ref="CONSOLE"/>
    </logger>

    <appender name="CONSOLE" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%-5level --- [%thread] %logger{5} --- %msg%n</pattern>
        </encoder>
    </appender>

    <appender name="AUDIT_CONSOLE" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <charset>UTF-8</charset>
            <pattern>${kypo.audit.messages.format:-kypo-training --- KYPO_PORTAL_EVENTS_AUDIT [%thread] %logger{5} ---
                %msg%n}
            </pattern>
        </encoder>
    </appender>

    <appender name="KYPO_SYSLOG" class="ch.qos.logback.classic.net.SyslogAppender">
        <syslogHost>${kypo.audit.syslog.host:-localhost}</syslogHost>
        <port>${kypo.audit.syslog.port:-514}</port>
        <facility>AUDIT</facility>
        <suffixPattern>${kypo.audit.messages.format:-kypo-training --- KYPO_PORTAL_EVENTS_AUDIT [%thread] %logger{5} ---
            %msg%n}
        </suffixPattern>
    </appender>

    <logger name="cz.muni.ics.kypo.training.adaptive.service.audit" level="INFO" additivity="false">
        <appender-ref ref="AUDIT_CONSOLE"/>
        <appender-ref ref="KYPO_SYSLOG"/>
    </logger>


</configuration>




